Bug 118006 - [patch] audio/teknap unbreak fix build with GCC 4.2
Summary: [patch] audio/teknap unbreak fix build with GCC 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-12 15:00 UTC by Pietro Cerutti
Modified: 2007-11-14 08:30 UTC (History)
0 users

See Also:


Attachments
_teknap.diff (1.77 KB, patch)
2007-11-12 15:00 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-11-12 15:00:04 UTC

- fixed a few "static declaration follows non-static declaration" errors
- fixed a ${TAR} option in the Makefile

How-To-Repeat: 

cd /usr/ports/audio/teknap && make
Comment 1 Martin Wilke freebsd_committer 2007-11-13 07:43:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-11-14 08:20:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2007-11-14 08:23:21 UTC
miwi        2007-11-14 08:23:17 UTC

  FreeBSD ports repository

  Modified files:
    audio/teknap         Makefile 
  Added files:
    audio/teknap/files   patch-source_share.c patch-source_timer.c 
  Log:
  - Fix build with gcc 4.2
  
  PR:             118006
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (erwin)
  
  Revision  Changes    Path
  1.21      +1 -5      ports/audio/teknap/Makefile
  1.1       +11 -0     ports/audio/teknap/files/patch-source_share.c (new)
  1.1       +11 -0     ports/audio/teknap/files/patch-source_timer.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"